System Requirements
ECharts is supported on Mac OS X, Solaris, Linux and Windows platforms. The required software for building and using the ECharts SDK are Python 2.2 - 2.6.1 and the Java 2 Platform, Standard Edition (JDK 1.4.2 or greater) and a suitable build tool. Python is bundled with the Linux and Mac OS X platforms. On Solaris and Windows a separate download is required from http://python.org. Java is bundled only with Mac OS X. Other platforms require a separate download from http://java.sun.com.

There are three possible build tools for building the ECharts SDK: the Eclipse SDK 3.1.2 or greater, Apache Ant 1.6.3 or greater, or GNU Make and the GNU BASH shell. Eclipse is available from http://www. eclipse.org for all platforms. Apache Ant is available from http:// ant.apache.org for all platforms. GNU Make and BASH are bundled with Linux and Mac OS X (GNU Make is included with the Mac OS X Xcode Developer Tools). A separate download is required for Solaris from http://gnu.org. We recommend the use of Eclipse or Ant on Windows since we have not tested the Windows build with Make and BASH.

For generating machine diagrams or machine documentation, Graphviz version 2.14 or greater is required. This is available as a separate download from http://graphviz.org for all platforms.

Discuss this article on the forums. (0 posts)
Last Updated ( Monday, 13 April 2009 )